Subject: Re: apm_emulation regression

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 14 Dec 2007 11:04:35 +1100

On Fri, 2007-12-14 at 01:10 +0100, Rafael J. Wysocki wrote:
> 
> Hmm.
> 
> I'm not that familiar with the APM emulation code, but the description
> of the
> problem above suggests that the APM emulation can install a suspend
> notifier for this purpose.

It can use the new notifier that happens before freezing yes. Johannes,
I think that's pretty much what my old powermac implementation did
(using my private notifier scheme I had there), might be worth reviving
that bit and sticking it into the generic apm_emu ...

Ben.